﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Diagnostics;
using System.IO;

namespace CryptoCalc
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    /// 

    public partial class MainWindow : Window
    {
        private readonly Random rand = new();
        private List<Transaction> transactions = new();
        
        public MainWindow()
        {
            InitializeComponent();
        }

        private void saveButton_Click(object sender, RoutedEventArgs e)
        {
            Transaction t = new();
            t.Date_Year = DateTime.Today.Year;
            t.Date_Month = DateTime.Today.Month;
            t.Date_Day = DateTime.Today.Day;
            t.Time_Hour = DateTime.Today.Hour;
            t.Time_Minute = DateTime.Today.Minute;
            t.Time_Second = DateTime.Today.Second;
            t.DateTimeString = DateTime.Now.ToString();
            t.CryptoCurrency = "ETH";
            t.Amount = (float)rand.NextDouble();
            t.TransactionType = "WITHDRAWAL";
            t.Service = "MiraiEx";
            t.Comment = "Test";

            SqliteDataAccess.SaveTransaction(t);
        }

        private void readButton_click(object sender, RoutedEventArgs e)
        {
            transactions = SqliteDataAccess.LoadTransactions();
            foreach (var x in transactions)
            {
                Debug.WriteLine(x.Date_Year);
            }
            //Debug.WriteLine(transactions.Date_Year.ToString());
        }
    }
}
